#ifndef CAM_UPDATE_DLG_H
#define CAM_UPDATE_DLG_H

#include <QDialog>

namespace Ui
{
class CamUpdateDlg;
}

class CamUpdateDlg : public QDialog
{
    Q_OBJECT

public:
    explicit CamUpdateDlg(QWidget *parent = nullptr);
    ~CamUpdateDlg();

    static void BuildSDCard();
    const QString GetPackagePath() const;
    const QString GetUpdateDevice() const;
    const QString GetUpdateVersion() const;
    bool DoNetworkUpdate();

private slots:
    void doBuildSDCard();
    void handleJsonMedia(const QJsonDocument& jsonMedia);
    void locationChange();
    void startUpdate();

private:
    Ui::CamUpdateDlg *ui;
};

#endif // CAM_UPDATE_DLG_H
