/*!
 * @file fi_msgbox.h
 * @brief This header file defines some utility functions to provide
 *        modeless equivalents to the Qt message boxes.
 *
 * Copyright 2014 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef FI_MSGBOX_H
#define FI_MSGBOX_H

//--------------------------------------------------------------------
// Include Files
//--------------------------------------------------------------------

#include <QWidget>
#include <QString>

//--------------------------------------------------------------------
// fiMsgBox class.
//--------------------------------------------------------------------
class fiMsgBox
{
public:
    fiMsgBox();

    static void critical(QWidget *parent, QString text_str, QString informative_str = QString());
    static void warning(QWidget *parent, QString text_str, QString informative_str = QString());
};

#endif // FI_MSGBOX_H
