#include "fi_seldestdlg.h"
#include "ui_fi_seldestdlg.h"

fiSelDestDlg::fiSelDestDlg(QWidget *parent) :
    QDialog(parent, Qt::WindowTitleHint | Qt::WindowSystemMenuHint | Qt::WindowCloseButtonHint),
    ui(new Ui::fiSelDestDlg)
{
    ui->setupUi(this);
}

fiSelDestDlg::~fiSelDestDlg()
{
    delete ui;
}

void fiSelDestDlg::avail_media(const QList<QString> &avail_list, bool local_path_allowed)
{
    int i;

    for (i = 0; i < avail_list.count(); ++i)
        ui->cb_dest->addItem(avail_list.at(i));
    if (local_path_allowed)
        ui->cb_dest->addItem(tr("Path..."));
}

int fiSelDestDlg::selected()
{
    return ui->cb_dest->currentIndex();
}

void fiSelDestDlg::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
