#include "polldlg.h"
#include "ui_polldlg.h"

PollDlg::PollDlg(QWidget *parent) :
    QDialog(parent, Qt::WindowTitleHint | Qt::WindowSystemMenuHint | Qt::WindowCloseButtonHint),
    ui(new Ui::PollDlg)
{
    ui->setupUi(this);
}

PollDlg::~PollDlg()
{
    delete ui;
}

void PollDlg::set_period(int poll_secs)
{
    ui->spin_poll->setValue(poll_secs);
}

int PollDlg::get_period()
{
    return ui->spin_poll->value();
}

void PollDlg::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
