/*!
 * @file select_drive.h
 * @brief This is the header file for the SelectDrive class.
 *
 * Copyright 2013 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef SELECT_DRIVE_H
#define SELECT_DRIVE_H

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include <QDialog>

namespace Ui {
    class SelectDrive;
}

class SelectDrive : public QDialog
{
    Q_OBJECT

public:
    explicit SelectDrive(QWidget *parent = nullptr);
    ~SelectDrive();

    QString get_selected_drive( void );
    void    set_drive_list( const QStringList &drive_list );

private:
    Ui::SelectDrive *ui;
};

#endif // SELECT_DRIVE_H
